# Script Metadata
scriptName="bklog"; # Define basename of script file.
-scriptVersion="0.1.16"; # Define version of script.
+scriptVersion="0.1.19"; # Define version of script.
scriptURL="https://gitlab.com/baltakatei/ninfacyzga-01"; # Define wesite hosting this script.
scriptTimeStart="$(date +%Y%m%dT%H%M%S.%N)"; # YYYYmmddTHHMMSS.NNNNNNNNN
scriptHostname=$(hostname); # Save hostname of system running this script.
# input: vars: scriptHostname
# output: vars: pathout_tar
# depends: Bash 5.0.3, vbm(), dateShort(), checkMakeTar(), magicWriteVersion()
- local fn
+ local fn checkMakeTarES
# Save function name
fn="${FUNCNAME[0]}";
pathout_tar="$dirOut"/"$(dateShort "$(date --date="$bufferTTL seconds ago" --iso-8601=seconds)")".."$scriptHostname""$label""$cmd_compress_suffix""$cmd_encrypt_suffix".tar && \
vbm "STATUS:$fn:Set pathout_tar to:$pathout_tar";
# Validate pathout_tar as tar.
- checkMakeTar "$pathout_tar";
+ checkMakeTar "$pathout_tar"; checkMakeTarES="$?";
## Add VERSION file if checkMakeTar had to create a tar (exited 1) or replace one (exited 2)
- vbm "STATUS:$fn:exit status before magicWriteVersion:$?"
- if [[ $? -eq 1 ]] || [[ $? -eq 2 ]]; then magicWriteVersion; fi
+ vbm "STATUS:$fn:exit status before magicWriteVersion:$checkMakeTarES"
+ if [[ "$checkMakeTarES" -eq 1 ]] || [[ "$checkMakeTarES" -eq 2 ]]; then magicWriteVersion; fi
vbm "STATUS:$fn:Finished magicInitCheckTar() function.";
} # Initialize tar, set pathout_tar
magicParseCompressionArg() {
yell "ERROR:$fn:Illegal character '-' at start of process string element:\"$element\"";
exit 1; fi; done;
vbm "STATUS:$fn:Quick check shows argProcStrings and argProcFileExts appear to have valid contents.";
+ vbm "STATUS:$fn:argProcStrings:${argProcStrings[*]}"
+ vbm "STATUS:$fn:argProcStrings:${argProcFileExts[*]}"
procStrings+=("${argProcStrings[@]}"); # Export process command strings
procFileExts+=("${argProcFileExts[@]}"); # Export process command strings
vbm "STATUS:$fn:Finished magicParseProcessStrings() function.";
fn="${FUNCNAME[0]}";
vbm "STATUS:$fn:Started magicProcessWriteBuffer().";
+ vbm "DEBUG :$fn:buffer array element count:${#buffer[@]}";
+ vbm "DEBUG :$fn:buffer array first element:${buffer[0]}";
+ vbm "DEBUG :$fn:buffer array last element :${buffer[-1]}";
+
# Determine file paths (time is start of buffer period)
## Calculate start time
timeBufferStartLong="$(date --date="$bufferTTL seconds ago" --iso-8601=seconds)" && \
for index in "${!pathouts[@]}"; do
writeCmd2="${procStrings[$index]}";
writeCmdAll="$writeCmd1 | $writeCmd2 | $writeCmd3 | $writeCmd4" && vbm "STATUS:$fn:Assembled command:\"$writeCmdAll\"";
- eval "$writeCmdAll" >> "${pathouts[$index]}" && vbm "STATUS:$fn:Wrote command output to ${pathouts[$index]}";
+ eval "$writeCmd1 | $writeCmd2 | $writeCmd3 | $writeCmd4" > "${pathouts[$index]}" && vbm "STATUS:$fn:Wrote command output to ${pathouts[$index]}";
done;
# Append dir_tmp files to pathout_tar
## Init temp working dir
try mkdir "$dir_tmp" && vbm "DEBUG :$fn:Working dir created at dir_tmp:$dir_tmp";
## Initialize output tar (set pathout_tar)
- magicInitCheckTar;
+ magicInitCheckTar;
+ ## Append VERSION file to tar
+ magicWriteVersion;
# Check vital apps, files, dirs
if ! checkapp tar && ! checkdir "$dirOut" "dir_tmp"; then